%define upstream_name    Crypt-Twofish
%define upstream_version 2.17

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    Crypt-Twofish module for perl 
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Crypt/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(strict)

%{?perl_default_filter}
BuildRequires: perl-devel
%description
Twofish is a 128-bit symmetric block cipher with a variable length (128, 192,
or 256-bit) key, developed by Counterpane Labs. It is unpatented and free for
all uses, as described at http://www.counterpane.com/twofish.html.

This module implements Twofish encryption. It supports the Crypt::CBC interface

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README
%{perl_vendorlib}/*/Crypt/Twofish.pm
%{perl_vendorlib}/*/auto/Crypt/Twofish
%{_mandir}/*/*


%changelog
* Sun Oct 19 2014 umeabot <umeabot> 2.170.0-8.mga5
+ Revision: 789287
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 2.170.0-7.mga5
+ Revision: 745063
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 2.170.0-6.mga5
+ Revision: 733005
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 2.170.0-5.mga5
+ Revision: 684071
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 2.170.0-4.mga5
+ Revision: 630977
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 2.170.0-3.mga4
+ Revision: 524290
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 2.170.0-2.mga4
+ Revision: 430613
- perl 5.18.0 rebuild

* Wed May 29 2013 tv <tv> 2.170.0-1.mga4
+ Revision: 430204
- new release
- rebuild for new perl

* Sun Jan 13 2013 umeabot <umeabot> 2.150.0-2.mga3
+ Revision: 364973
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 10 2012 jquelin <jquelin> 2.150.0-1.mga3
+ Revision: 291614
- update to 2.15

* Wed May 30 2012 jquelin <jquelin> 2.140.0-4.mga3
+ Revision: 250431
- rebuild for perl 5.16

* Sat Jun 11 2011 sander85 <sander85> 2.140.0-3.mga2
+ Revision: 103888
- perl 5.14

* Thu Jan 13 2011 jquelin <jquelin> 2.140.0-2.mga1
+ Revision: 10510
- imported package perl-Crypt-Twofish


* Tue Jul 20 2010 Jérôme Quelin <jquelin@mandriva.org> 2.140.0-2mdv2011.0
+ Revision: 555723
- rebuild

* Wed Jul 14 2010 Jérôme Quelin <jquelin@mandriva.org> 2.140.0-1mdv2011.0
+ Revision: 553078
- update to 2.14

* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 2.130.0-1mdv2010.0
+ Revision: 403040
- rebuild using %%perl_convert_version

* Fri May 15 2009 Jérôme Quelin <jquelin@mandriva.org> 2.13-1mdv2010.0
+ Revision: 376148
- update to new version 2.13

* Wed Jul 30 2008 Thierry Vignaud <tv@mandriva.org> 2.12-4mdv2009.0
+ Revision: 256379
- rebuild

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 2.12-2mdv2008.1
+ Revision: 152045
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 2.12-1mdv2008.1
+ Revision: 136699
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Wed Sep 13 2006 Oden Eriksson <oeriksson@mandriva.com> 2.12-1mdv2007.0
- rebuild

* Thu Jul 14 2005 Oden Eriksson <oeriksson@mandriva.com> 2.12-1mdk
- initial Mandriva package

